Package com.independentsoft.office.charts

# Class ChartSpace

java.lang.Object
com.independentsoft.office.drawing.GraphicObject
com.independentsoft.office.charts.ChartSpace

All Implemented Interfaces:
  `IContentElement`

public class ChartSpace extends GraphicObject
The Class ChartSpace.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChartSpace()`
  Instantiates a new chart space.
  `ChartSpace​(byte[] buffer, Relationship relationship)`
  Instantiates a new chart space.
  `ChartSpace​(String filePath)`
  Instantiates a new chart space.
  `ChartSpace​(String fileName, byte[] buffer)`
  Instantiates a new chart space.
  `ChartSpace​(String fileName, InputStream inputStream)`
  Instantiates a new chart space.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChartSpace`
  `clone()`
  `List<AlternateContent>`
  `getAlternateContentBlocks()`
  Gets the markup-compatibility blocks (`mc:AlternateContent`) at the chart-space level, kept in the style slot.
  `BackWall`
  `getBackWall()`
  Gets the back wall.
  `ChartShapeProperties`
  `getChartShapeProperties()`
  Gets the chart shape properties.
  `ColorMapOverride`
  `getColorMapping()`
  Gets the color mapping.
  `List<IContentElement>`
  `getContentElements()`
  `DisplayBlanksAs`
  `getDisplayBlanksAs()`
  Gets the display blanks as.
  `ExtensionList`
  `getExtensionList()`
  Gets the chart-space root extension list (`c:extLst`).
  `byte[]`
  `getExternalData()`
  Gets the external data.
  `String`
  `getExternalDataFileName()`
  Gets the external data file name.
  `InputStream`
  `getExternalDataStream()`
  Gets the external data stream.
  `Floor`
  `getFloor()`
  Gets the floor.
  `String`
  `getLanguage()`
  Gets the language.
  `Legend`
  `getLegend()`
  Gets the legend.
  `List<PivotFormat>`
  `getPivotFormats()`
  Gets the pivot formats.
  `PivotSource`
  `getPivotSource()`
  Gets the pivot source.
  `PlotArea`
  `getPlotArea()`
  Gets the plot area.
  `PrintSettings`
  `getPrintSettings()`
  Gets the prints the settings.
  `Protection`
  `getProtection()`
  Gets the protection.
  `SideWall`
  `getSideWall()`
  Gets the side wall.
  `int`
  `getStyle()`
  Gets the style.
  `TextProperties`
  `getTextProperties()`
  Gets the text properties.
  `Title`
  `getTitle()`
  Gets the title.
  `UserShapes`
  `getUserShapes()`
  Gets the user shapes.
  `String`
  `getUserShapesReference()`
  `View3D`
  `getView3D()`
  Gets the view3 d.
  `boolean`
  `hasRoundedCorners()`
  Checks for rounded corners.
  `boolean`
  `is1904DateSystem()`
  Checks if is 1904 date system.
  `boolean`
  `isAutoTitleDeleted()`
  Checks if is auto title deleted.
  `boolean`
  `isAutoUpdate()`
  Checks if is auto update.
  `boolean`
  `isPlotVisibleOnly()`
  Checks if is plot visible only.
  `boolean`
  `isShowDataLabelsOverMaximum()`
  Checks if is show data labels over maximum.
  `void`
  `loadExternalData​(String filePath)`
  Load external data.
  `void`
  `loadExternalData​(String fileName, byte[] buffer)`
  Load external data.
  `void`
  `loadExternalData​(String fileName, InputStream inputStream)`
  Load external data.
  `void`
  `saveExternalData​(OutputStream outputStream)`
  Save external data.
  `void`
  `saveExternalData​(String filePath)`
  Save external data.
  `void`
  `set1904DateSystem​(boolean use1904DateSystem)`
  Sets the 1904 date system.
  `void`
  `setAutoTitleDeleted​(boolean autoTitleDeleted)`
  Sets the auto title deleted.
  `void`
  `setAutoUpdate​(boolean autoUpdate)`
  Sets the auto update.
  `void`
  `setBackWall​(BackWall backWall)`
  Sets the back wall.
  `void`
  `setColorMapping​(ColorMapOverride colorMapping)`
  Sets the color mapping.
  `void`
  `setDisplayBlanksAs​(DisplayBlanksAs displayBlanksAs)`
  Sets the display blanks as.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the chart-space root extension list (`c:extLst`).
  `void`
  `setExternalData​(byte[] externalDataBuffer)`
  Sets the external data.
  `void`
  `setExternalDataFileName​(String externalDataFileName)`
  Sets the external data file name.
  `void`
  `setFloor​(Floor floor)`
  Sets the floor.
  `void`
  `setLanguage​(String language)`
  Sets the language.
  `void`
  `setLegend​(Legend legend)`
  Sets the legend.
  `void`
  `setPivotSource​(PivotSource pivotSource)`
  Sets the pivot source.
  `void`
  `setPlotArea​(PlotArea plotArea)`
  Sets the plot area.
  `void`
  `setPlotVisibleOnly​(boolean plotVisibleOnly)`
  Sets the plot visible only.
  `void`
  `setPrintSettings​(PrintSettings printSettings)`
  Sets the prints the settings.
  `void`
  `setProtection​(Protection protection)`
  Sets the protection.
  `void`
  `setRoundedCorners​(boolean roundedCorners)`
  Sets the rounded corners.
  `void`
  `setShowDataLabelsOverMaximum​(boolean showDataLabelsOverMaximum)`
  Sets the show data labels over maximum.
  `void`
  `setSideWall​(SideWall sideWall)`
  Sets the side wall.
  `void`
  `setStyle​(int style)`
  Sets the style.
  `void`
  `setTitle​(Title title)`
  Sets the title.
  `void`
  `setUserShapes​(UserShapes userShapes)`
  Sets the user shapes.
  `void`
  `setUserShapesReference​(String value)`
  `void`
  `setView3D​(View3D view3D)`
  Sets the view3 d.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChartSpace

    public ChartSpace()
    Instantiates a new chart space.

  - ### ChartSpace

    public ChartSpace​(String filePath) throws IOException
    Instantiates a new chart space.
    Parameters:
      `filePath` - the file path
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### ChartSpace

    public ChartSpace​(String fileName, InputStream inputStream) throws IOException
    Instantiates a new chart space.
    Parameters:
      `fileName` - the file name
      `inputStream` - the input stream
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### ChartSpace

    public ChartSpace​(String fileName, byte[] buffer)
    Instantiates a new chart space.
    Parameters:
      `fileName` - the file name
      `buffer` - the buffer

  - ### ChartSpace

    public ChartSpace​(byte[] buffer, Relationship relationship) throws XMLStreamException
    Instantiates a new chart space.
    Parameters:
      `buffer` - the buffer
      `relationship` - the relationship
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### setUserShapesReference

    public void setUserShapesReference​(String value)

  - ### getUserShapesReference

    public String getUserShapesReference()

  - ### loadExternalData

    public void loadExternalData​(String filePath) throws IOException
    Load external data.
    Parameters:
      `filePath` - the file path
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### loadExternalData

    public void loadExternalData​(String fileName, InputStream inputStream) throws IOException
    Load external data.
    Parameters:
      `fileName` - the file name
      `inputStream` - the input stream
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### loadExternalData

    public void loadExternalData​(String fileName, byte[] buffer)
    Load external data.
    Parameters:
      `fileName` - the file name
      `buffer` - the buffer

  - ### saveExternalData

    public void saveExternalData​(String filePath) throws IOException
    Save external data.
    Parameters:
      `filePath` - the file path
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### saveExternalData

    public void saveExternalData​(OutputStream outputStream) throws IOException
    Save external data.
    Parameters:
      `outputStream` - the output stream
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### getExternalDataStream

    public InputStream getExternalDataStream()
    Gets the external data stream.
    Returns:
      the external data stream

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`
    Specified by:
      `getContentElements` in class `GraphicObject`

  - ### clone

    public ChartSpace clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in class `GraphicObject`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getAlternateContentBlocks

    public List<AlternateContent> getAlternateContentBlocks()
    Gets the markup-compatibility blocks (`mc:AlternateContent`) at the chart-space level, kept in the style slot.
    Returns:
      the alternate content blocks

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the chart-space root extension list (`c:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the chart-space root extension list (`c:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### getColorMapping

    public ColorMapOverride getColorMapping()
    Gets the color mapping.
    Returns:
      the color mapping

  - ### setColorMapping

    public void setColorMapping​(ColorMapOverride colorMapping)
    Sets the color mapping.
    Parameters:
      `colorMapping` - the new color mapping

  - ### is1904DateSystem

    public boolean is1904DateSystem()
    Checks if is 1904 date system.
    Returns:
      true, if is 1904 date system

  - ### set1904DateSystem

    public void set1904DateSystem​(boolean use1904DateSystem)
    Sets the 1904 date system.
    Parameters:
      `use1904DateSystem` - the new 1904 date system

  - ### isAutoUpdate

    public boolean isAutoUpdate()
    Checks if is auto update.
    Returns:
      true, if is auto update

  - ### setAutoUpdate

    public void setAutoUpdate​(boolean autoUpdate)
    Sets the auto update.
    Parameters:
      `autoUpdate` - the new auto update

  - ### getLanguage

    public String getLanguage()
    Gets the language.
    Returns:
      the language

  - ### setLanguage

    public void setLanguage​(String language)
    Sets the language.
    Parameters:
      `language` - the new language

  - ### getExternalData

    public byte[] getExternalData()
    Gets the external data.
    Returns:
      the external data

  - ### setExternalData

    public void setExternalData​(byte[] externalDataBuffer)
    Sets the external data.
    Parameters:
      `externalDataBuffer` - the new external data

  - ### getExternalDataFileName

    public String getExternalDataFileName()
    Gets the external data file name.
    Returns:
      the external data file name

  - ### setExternalDataFileName

    public void setExternalDataFileName​(String externalDataFileName)
    Sets the external data file name.
    Parameters:
      `externalDataFileName` - the new external data file name

  - ### getPivotSource

    public PivotSource getPivotSource()
    Gets the pivot source.
    Returns:
      the pivot source

  - ### setPivotSource

    public void setPivotSource​(PivotSource pivotSource)
    Sets the pivot source.
    Parameters:
      `pivotSource` - the new pivot source

  - ### getPrintSettings

    public PrintSettings getPrintSettings()
    Gets the prints the settings.
    Returns:
      the prints the settings

  - ### setPrintSettings

    public void setPrintSettings​(PrintSettings printSettings)
    Sets the prints the settings.
    Parameters:
      `printSettings` - the new prints the settings

  - ### getProtection

    public Protection getProtection()
    Gets the protection.
    Returns:
      the protection

  - ### setProtection

    public void setProtection​(Protection protection)
    Sets the protection.
    Parameters:
      `protection` - the new protection

  - ### hasRoundedCorners

    public boolean hasRoundedCorners()
    Checks for rounded corners.
    Returns:
      true, if successful

  - ### setRoundedCorners

    public void setRoundedCorners​(boolean roundedCorners)
    Sets the rounded corners.
    Parameters:
      `roundedCorners` - the new rounded corners

  - ### getChartShapeProperties

    public ChartShapeProperties getChartShapeProperties()
    Gets the chart shape properties.
    Returns:
      the chart shape properties

  - ### getStyle

    public int getStyle()
    Gets the style.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(int style)
    Sets the style.
    Parameters:
      `style` - the new style

  - ### getTextProperties

    public TextProperties getTextProperties()
    Gets the text properties.
    Returns:
      the text properties

  - ### getUserShapes

    public UserShapes getUserShapes()
    Gets the user shapes.
    Returns:
      the user shapes

  - ### setUserShapes

    public void setUserShapes​(UserShapes userShapes)
    Sets the user shapes.
    Parameters:
      `userShapes` - the new user shapes

  - ### isAutoTitleDeleted

    public boolean isAutoTitleDeleted()
    Checks if is auto title deleted.
    Returns:
      true, if is auto title deleted

  - ### setAutoTitleDeleted

    public void setAutoTitleDeleted​(boolean autoTitleDeleted)
    Sets the auto title deleted.
    Parameters:
      `autoTitleDeleted` - the new auto title deleted

  - ### getBackWall

    public BackWall getBackWall()
    Gets the back wall.
    Returns:
      the back wall

  - ### setBackWall

    public void setBackWall​(BackWall backWall)
    Sets the back wall.
    Parameters:
      `backWall` - the new back wall

  - ### getDisplayBlanksAs

    public DisplayBlanksAs getDisplayBlanksAs()
    Gets the display blanks as.
    Returns:
      the display blanks as

  - ### setDisplayBlanksAs

    public void setDisplayBlanksAs​(DisplayBlanksAs displayBlanksAs)
    Sets the display blanks as.
    Parameters:
      `displayBlanksAs` - the new display blanks as

  - ### getFloor

    public Floor getFloor()
    Gets the floor.
    Returns:
      the floor

  - ### setFloor

    public void setFloor​(Floor floor)
    Sets the floor.
    Parameters:
      `floor` - the new floor

  - ### getLegend

    public Legend getLegend()
    Gets the legend.
    Returns:
      the legend

  - ### setLegend

    public void setLegend​(Legend legend)
    Sets the legend.
    Parameters:
      `legend` - the new legend

  - ### getPivotFormats

    public List<PivotFormat> getPivotFormats()
    Gets the pivot formats.
    Returns:
      the pivot formats

  - ### getPlotArea

    public PlotArea getPlotArea()
    Gets the plot area.
    Returns:
      the plot area

  - ### setPlotArea

    public void setPlotArea​(PlotArea plotArea)
    Sets the plot area.
    Parameters:
      `plotArea` - the new plot area

  - ### isPlotVisibleOnly

    public boolean isPlotVisibleOnly()
    Checks if is plot visible only.
    Returns:
      true, if is plot visible only

  - ### setPlotVisibleOnly

    public void setPlotVisibleOnly​(boolean plotVisibleOnly)
    Sets the plot visible only.
    Parameters:
      `plotVisibleOnly` - the new plot visible only

  - ### isShowDataLabelsOverMaximum

    public boolean isShowDataLabelsOverMaximum()
    Checks if is show data labels over maximum.
    Returns:
      true, if is show data labels over maximum

  - ### setShowDataLabelsOverMaximum

    public void setShowDataLabelsOverMaximum​(boolean showDataLabelsOverMaximum)
    Sets the show data labels over maximum.
    Parameters:
      `showDataLabelsOverMaximum` - the new show data labels over maximum

  - ### getSideWall

    public SideWall getSideWall()
    Gets the side wall.
    Returns:
      the side wall

  - ### setSideWall

    public void setSideWall​(SideWall sideWall)
    Sets the side wall.
    Parameters:
      `sideWall` - the new side wall

  - ### getTitle

    public Title getTitle()
    Gets the title.
    Returns:
      the title

  - ### setTitle

    public void setTitle​(Title title)
    Sets the title.
    Parameters:
      `title` - the new title

  - ### getView3D

    public View3D getView3D()
    Gets the view3 d.
    Returns:
      the view3 d

  - ### setView3D

    public void setView3D​(View3D view3D)
    Sets the view3 d.
    Parameters:
      `view3D` - the new view3 d